Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode, JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent

    public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 2;`
`int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 2;`
`List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 2;`
`long` | `getWorkItemId()` `optional int64 work_item_id = 1;`
`boolean` | `hasWorkItemId()` `optional int64 work_item_id = 1;`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasWorkItemId

    boolean hasWorkItemId()

  `optional int64 work_item_id = 1;`

### getWorkItemId

    long getWorkItemId()

  `optional int64 work_item_id = 1;`

### getTimerInstanceIdList

    List<Long> getTimerInstanceIdList()

  `repeated int64 timer_instance_id = 2;`

### getTimerInstanceIdCount

    int getTimerInstanceIdCount()

  `repeated int64 timer_instance_id = 2;`

### getTimerInstanceId

    long getTimerInstanceId(int index)

  `repeated int64 timer_instance_id = 2;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.